Woopsi 1.0 GUI Framework for Nintendo DS Homebrew

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# WoopsiUI::SliderVertical Class Reference

`#include <slidervertical.h>`

Inheritance diagram for WoopsiUI::SliderVertical:

List of all members.

## Public Member Functions
| SliderVertical (s16 x, s16 y, u16 width, u16 height)
const s16 | getMinimumValue () const
const s16 | getMaximumValue () const
const s32 | getValue () const
const s16 | getPageSize () const
void | setMinimumValue (const s16 value)
void | setMaximumValue (const s16 value)
void | setValue (const s32 value)
void | setPageSize (const s16 pageSize)
virtual void | handleDragEvent (const GadgetEventArgs &e)
s16 | getMinimumStep () const
## Protected Member Functions
virtual void | drawContents (GraphicsPort *port)
virtual void | drawBorder (GraphicsPort *port)
virtual void | onResize (u16 width, u16 height)
virtual void | onClick (s16 x, s16 y)
virtual | ~SliderVertical ()
| SliderVertical (const SliderVertical &sliderVertical)
void | resizeGrip ()
## Protected Attributes
SliderVerticalGrip * | _grip
s16 | _minimumValue
s16 | _maximumValue
s32 | _value
s16 | _minimumGripHeight
s16 | _pageSize

## Detailed Description

Gadget providing a sliding "grip" that can be moved up and down the "gutter". Essentially a scrollbar, but more generic.

## Constructor & Destructor Documentation

WoopsiUI::SliderVertical::SliderVertical | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height
| ) |  |

Constructor.

Parameters:

  x | The x co-ord of the slider, relative to its parent.
  y | The y co-ord of the slider, relative to its parent.
  width | The width of the slider.
  height | The height of the slider.

virtual WoopsiUI::SliderVertical::~SliderVertical | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::SliderVertical::SliderVertical | ( | const SliderVertical & | sliderVertical | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::SliderVertical::drawBorder | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SliderVertical::drawContents | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::Gadget.

const s16 WoopsiUI::SliderVertical::getMaximumValue | ( |  | ) | const`[inline, virtual]`

Get the largest value that the slider can represent.

Returns:
  The largest value.

Implements WoopsiUI::SliderBase.

s16 WoopsiUI::SliderVertical::getMinimumStep | ( |  | ) | const

Get the smallest value that the slider can move through when dragged.

Returns:
  The smallest value that the slider can move through when dragged.

const s16 WoopsiUI::SliderVertical::getMinimumValue | ( |  | ) | const`[inline, virtual]`

Get the smallest value that the slider can represent.

Returns:
  The smallest value.

Implements WoopsiUI::SliderBase.

const s16 WoopsiUI::SliderVertical::getPageSize | ( |  | ) | const`[inline, virtual]`

Get the value represented by the height of the grip. For sliders, this would typically be 1 (so each new grip position is worth 1). For scrollbars, this would be the height of the scrolling gadget.

Returns:
  The page size.

Implements WoopsiUI::SliderBase.

const s32 WoopsiUI::SliderVertical::getValue | ( |  | ) | const`[virtual]`

Get the current value of the slider. return The current slider value.

Implements WoopsiUI::SliderBase.

virtual void WoopsiUI::SliderVertical::handleDragEvent | ( | const GadgetEventArgs & | e | ) | `[virtual]`

Process events fired by the grip.

Parameters:

  e | The event details.

Reimplemented from WoopsiUI::GadgetEventHandler.

virtual void WoopsiUI::SliderVertical::onClick | ( | s16 | x,
|  | s16 | y
| ) |  | `[protected, virtual]`

Moves the grip towards the stylus.

Parameters:

  x | The x co-ordinate of the click.
  y | The y co-ordinate of the click.

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::SliderVertical::onResize | ( | u16 | width,
|  | u16 | height
| ) |  | `[protected, virtual]`

Resize the slider to the new dimensions.

Parameters:

  width | The new width.
  height | The new height.

Reimplemented from WoopsiUI::Gadget.

void WoopsiUI::SliderVertical::resizeGrip | ( |  | ) | `[protected]`

Resize and mark grip for redraw.

void WoopsiUI::SliderVertical::setMaximumValue | ( | const s16 | value | ) | `[inline, virtual]`

Set the largest value that the slider can represent.

Parameters:

  value | The largest value.

Implements WoopsiUI::SliderBase.

void WoopsiUI::SliderVertical::setMinimumValue | ( | const s16 | value | ) | `[inline, virtual]`

Set the smallest value that the slider can represent.

Parameters:

  value | The smallest value.

Implements WoopsiUI::SliderBase.

void WoopsiUI::SliderVertical::setPageSize | ( | const s16 | pageSize | ) | `[inline, virtual]`

Set the page size represented by the grip.

Parameters:

  pageSize | The page size.

See also:
  getPageSize().

Implements WoopsiUI::SliderBase.

void WoopsiUI::SliderVertical::setValue | ( | const s32 | value | ) | `[virtual]`

Set the value that of the slider. This will reposition and mark the grip for redraw.

Parameters:

  value | The new value.

Implements WoopsiUI::SliderBase.

## Member Data Documentation

SliderVerticalGrip* WoopsiUI::SliderVertical::_grip`[protected]`

Pointer to the grip.

s16 WoopsiUI::SliderVertical::_maximumValue`[protected]`

Maximum value that the grip can represent.

s16 WoopsiUI::SliderVertical::_minimumGripHeight`[protected]`

Smallest height that the grip can become.

s16 WoopsiUI::SliderVertical::_minimumValue`[protected]`

Minimum value that the grip can represent.

s16 WoopsiUI::SliderVertical::_pageSize`[protected]`

Value of a page of data, used when clicking the gutter

s32 WoopsiUI::SliderVertical::_value`[protected]`

Current value of the slider.

The documentation for this class was generated from the following file:

- slidervertical.h